Acest modul nu a fost testat cu ultimele 3 versiuni importante ale WordPress. S-ar putea să nu mai fie întreținut sau susținut și ar putea avea probleme de compatibilitate când este folosit cu versiuni recente ale WordPress.

WP REST API Security

Descriere

The REST API is essential for any modern web framework, but with it comes a huge attack surface. WP REST API Security reduces the attack surface by disabling all the REST API endpoints by default, allowing you to enable only those actually needed. Those that are enabled require authentication by default, allowing you to choose which to make public.

N.B. If you are using the new Block Editor you must keep nearly all the endpoints enabled for it to work, but none need be public.

Instalare

  1. Install via the Plugin Directory, or upload to your plugins directory.
  2. Activate the plugin through the ‘Plugins’ menu in WordPress.
  3. Go to Settings -> WP REST API Security

N.B. Activating WP REST API Security will disable all REST endpoints – you must enable the ones you need.

Verificări

6 februarie 2020
This is a great plugin that gives you fine-grained control over your REST API, you can prevent public access but allow private access. This way you can disable all the gutenberg stuff for public use but are still able to use it for logged in users. It would be great to have multisite support too, so that you could protect the whole multisite from the configuration without having to apply the setting in each blog.
Citește doar 1 recenzie

Contributori și dezvoltatori

„WP REST API Security” este un software open-source. La acest modul au contribuit următoarele persoane.

Contributori

Istoric modificări

1.1.2

  • Fix array error.

1.1.1

  • Fix CSS leakage.
  • Fix array warning.

1.1.0

  • Bugfix.
  • Use actions.

1.0.0

  • Initial release.